Skip to main content
GET
Query Sales Order Notes

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes2
salesorders.read
Grants permission to read sales orders.
all.read
Allows the application to read all data.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the notes belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested notes of the sales order.

noteId
string<uuid>
required

Unique ID to identify a customer note. A customer note always has a customer reference and may have a sales order reference as well.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

noteBody
string
required

The text in the customer note.